/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ca.mcmaster.cas.matlab2smt;

/**
 *
 * @author matthew
 */
public enum MatlabUnaryOperation {

    Minus,
    Negation;

    static MatlabUnaryOperation getOpForSymbol(String text) {
        if (text.equals("~")) {
            return Negation;
        } else if (text.equals("-")) {
            return Minus;
        } else {
            throw new IllegalArgumentException("No such unary matlab operation defined (" + text + ")!");
        }
    }
}
